// SVAECompare.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAECOMPARE__
#define __SVAECOMPARE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

OSErr			InstallObjectCallbacks(void);

pascal OSErr	MyCompareProc(DescType oper, const AEDesc* obj1,
										const AEDesc* obj2, Boolean *result);

OSErr			ExtractData (const AEDesc *sourceDesc, AEDesc *theData);

OSErr			MyCompareText(DescType oper, const AEDesc *desc1,
										const AEDesc *desc2, Boolean *result);
OSErr 			MyCompareInteger(DescType oper, const AEDesc *desc1,
										const AEDesc *desc2, Boolean *result);
OSErr			MyCompareBoolean (DescType oper, const AEDesc *desc1,
										const AEDesc *desc2, Boolean *result);

#endif
