// MSAEClose.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAECLOSE__
#define __MSAECLOSE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "MSToken.h"

pascal OSErr	DoCloseWindow(const AppleEvent *theAppleEvent, AppleEvent *reply, long refcon);

OSErr			CloseWindowToken(WindowToken* theToken, DescType saveOpt);
OSErr			CloseWindowDesc(AEDesc* windowDesc, DescType saveOpt);
OSErr			CloseDesc(AEDesc* aDesc, DescType saveOpt);

#endif



