// MSAEGetData.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAEGETDATA__
#define __MSAEGETDATA__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>


#include "MSToken.h"


pascal OSErr	DoGetData(const AppleEvent	*theAppleEvent,
								AppleEvent	*reply,
								long		handlerRefCon);

pascal OSErr	DoGetDataSize(const AppleEvent	*theAppleEvent,
									AppleEvent	*reply,
									long		handlerRefCon);

OSErr			HandleGetData( AEDesc *theObj, DescType theWantType, AEDesc *result );

OSErr 			GetTextProperty(const AEDesc *theTokenDesc, AEDesc *result);
OSErr			GetWindowProperty(const AEDesc *theTokenDesc, AEDesc *result);
OSErr			GetWindowTokenProperty( WindowPropToken* thePropToken, AEDesc *result );
OSErr			GetDocumentProperty( const AEDesc *theTokenDesc,
											DescType theWantType, AEDesc *result );
OSErr			GetDocumentTokenProperty( WindowPropToken* theToken,
											DescType theWantType, AEDesc *result );
OSErr			GetApplicationProperty( const AEDesc *theTokenDesc,
											DescType theWantType, AEDesc *result );
OSErr			GetMenuProperty(const AEDesc *theTokenDesc,
											DescType theWantType, AEDesc *result);
OSErr			GetMenuItemProperty(const AEDesc *theTokenDesc,
											DescType theWantType, AEDesc *result);

OSErr			GetTextTextProperty(TextToken* theToken, AEDesc *result);
#endif
