// MSAESelect.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAESELECT__
#define __MSAESELECT__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "MSToken.h"

pascal OSErr	DoSelect(const AppleEvent *theAppleEvent, AppleEvent *reply, long refcon);

OSErr			SelectWindowToken(WindowToken* theToken);
OSErr			SelectWindowDesc(AEDesc* windowDesc);

OSErr			SelectTextToken(TextToken* theToken);
OSErr			SelectTextDesc(AEDesc* textDesc);

OSErr			SelectMenuItemToken( MenuItemToken* theToken );
OSErr			SelectMenuItemDesc( AEDesc* theDesc );

OSErr			SelectDesc(const AEDesc* aDesc, AEDesc* result);

OSErr			GetWindowSelection(WindowPtr aWindow, TextToken* resultToken,
																short* resultLength);
OSErr			UpdateSelectionToken(TextToken* anInsertToken, TextToken* aSelectionToken,
														short oldLength, short* insertLength);

#endif



