// MSScript.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Human Interface changes and GX Printing by Don Swatman
// Apple Computer Inc 1996, all rights reserved.

#pragma once

#include <Types.h>
#include <OSA.h>

#include "MSGlobals.h"

#define kDefaultDocumentScript	300


OSErr		InitEditorScripting( void );
OSErr		SetOSAActiveProcedure( void );
OSErr		CloseEditorScripting( void );
OSErr		CompileDocument( DPtr theDoc );
OSErr		ExecuteDocument( DPtr theDoc );
OSErr		ScriptForMenuExists( short theMenu, short theItem, Boolean *exists );
OSErr		ExecuteScriptForMenu( short theMenu, short theItem );
OSErr		EditMenuScript( short theMenu, short theItem );

short				GetScriptActiveItem( void );
MenuScriptRecPtr	GetMenuScriptRecPtr( short theResID );

OSAError	LoadDocumentScript( DPtr theDoc, short theFileRef );
OSAError	StoreDocumentScript( DPtr theDoc, short theFileRef );

OSAError	GetScriptProperty( OSAID contextID, const AEDesc* propertyName, AEDesc* result );
OSAError	SetScriptProperty( OSAID contextID, const AEDesc* propertyName, const AEDesc* value );

OSErr		GetScriptDesc( OSAID theScriptID, DescType theWantType, AEDesc* theResult );
OSErr		SetScriptDesc( const AEDesc* theData, OSAID* theResult );

